<?php
use Adianti\Database\TRecord;
class leitura extends TRecord
{
    const TABLENAME = 'tbl_leitura';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('maquina');
        parent::addAttribute('ini_entra');
        parent::addAttribute('ini_sai');
        parent::addAttribute('fim_entra');
        parent::addAttribute('fim_sai');
        parent::addAttribute('credito');
        parent::addAttribute('ok');
        parent::addAttribute('fechado');
        parent::addAttribute('fabricante');
        parent::addAttribute('porcento');
    }
}
?>